/****************************************************************
 Created by VeryPDF.com Inc.
 Copyright (C) 2015 VeryPDF.com Inc., All rights reserved.
 
 http://www.verypdf.com
 http://www.verydoc.com
 http://support.verypdf.com
 Email:support@verypdf.com
 ****************************************************************/


#import <UIKit/UIKit.h>

#import "VeryPDFDocument.h"


@class VeryPDFViewController;

@protocol VeryPDFViewControllerDelegate <NSObject>

@optional // Delegate protocols

- (void)dismissVeryPDFViewController:(VeryPDFViewController *)viewController;
- (void)VeryPDFViewControllerGetFlattenPDF:(VeryPDFViewController *)viewController FlattenPDFFile:(NSString *)strFlattenPDFFile;

@end

@class VeryPDFDrawingView;

@interface VeryPDFViewController : UIViewController <UIDocumentInteractionControllerDelegate>
{
    
}
@property (nonatomic, strong) VeryPDFDrawingView *drawingView;
@property (nonatomic, strong) UIColor *lineColor;
@property (nonatomic, strong) NSNumber *lineWidth;
@property (nonatomic, strong) NSNumber *lineAlpha;
@property (nonatomic, strong) UIDocumentInteractionController *documentInteractionController;

@property (nonatomic, weak, readwrite) id <VeryPDFViewControllerDelegate> delegate;

- (instancetype)initWithVeryPDFDocument:(VeryPDFDocument *)object;
+(NSString *)NSStringFromUIColor:(UIColor*)color;
+(UIColor *)UIColorFromNSString:(NSString*)string;
+(NSString*)GetValueByKey_String:(NSString *)strKey DefaultValue:(NSString*)nDefaultValue;

@end

FOUNDATION_EXPORT void VeryPDFKitSetLicenseCode(const char *lpCode);

